EnderDashEnderDash

Rotate OAuth Client Secret

Rotate OAuth Client Secret. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

POST
/servers.rotateOAuthClientSecret

Rotate OAuth Client Secret. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.

TypeScript Definitions

Use the request body type in TypeScript.

organizationId?string
organizationSlug?string
serverId*string
clientId*string

Response Body

application/json

application/json

curl -X POST "https://app.enderdash.com/api/trpc/servers.rotateOAuthClientSecret" \  -H "Content-Type: application/json" \  -d '{    "serverId": "string",    "clientId": "string"  }'
{  "result": {    "data": {      "clientId": "string",      "clientSecret": "string",      "clientSecretPrefix": "string",      "publicClientId": "string",      "updatedAt": "2019-08-24T14:15:22Z"    }  }}